FTTextureGlyph.h File Reference
`#include <FTGL/ftgl.h>`

Go to the source code of this file.

## Data Structures

class | FTTextureGlyph
| FTTextureGlyph is a specialisation of FTGlyph for creating texture glyphs. More...

## Functions

FTGLglyph * | ftglCreateTextureGlyph (FT_GlyphSlot glyph, int id, int xOffset, int yOffset, int width, int height)
| Create a specialisation of FTGLglyph for creating pixmaps.

## Function Documentation

## ftglCreateTextureGlyph()

FTGLglyph * ftglCreateTextureGlyph | ( | FT_GlyphSlot | glyph,
|  | int | id,
|  | int | xOffset,
|  | int | yOffset,
|  | int | width,
|  | int | height )

Create a specialisation of FTGLglyph for creating pixmaps.

Parameters

  glyph | The Freetype glyph to be processed.
  id | The id of the texture that this glyph will be drawn in.
  xOffset | The x offset into the parent texture to draw this glyph.
  yOffset | The y offset into the parent texture to draw this glyph.
  width | The width of the parent texture.
  height | The height (number of rows) of the parent texture.

Returns
  An FTGLglyph* object.

References FTGL_END_C_DECLS, and FTGL_EXPORT.